Skip to content
GAMPEONCreate
New project

Send a message about an application

POST
/v1/applications/{id}/messages
curl --request POST \
--url https://api.gampeon.com/v1/applications/1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example" }'

Text only, no attachments. Closed for withdrawn and declined applications and removed jobs. The other side gets an application_message notification (at most one every 30 minutes).

Not available with access tokens.

Rate limit: 50 per day per account and conversation.

id
required
integer
>= 1

Application ID

Media typeapplication/json
object
body
required
string
>= 1 characters <= 2000 characters

Example generated

{
"body": "example"
}

Sent

Media typeapplication/json
object
id
required
integer
body
required
string
createdAt
required

Unix time in milliseconds

integer format: int64

Example generated

{
"id": 1,
"body": "example",
"createdAt": 1
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: conversation_closed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 50 per day per account and conversation. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback